Skip to content
Start here

Destinations

DestinationsWebhooks

resource cloudflare_notification_policy_webhooks

required Expand Collapse
account_id: String

The account id

name: String

The name of the webhook destination. This will be included in the request body when you receive a webhook notification.

url: String

The POST endpoint to call when dispatching a notification.

optional Expand Collapse
secret?: String

Optional secret that will be passed in the cf-webhook-auth header when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body.

computed Expand Collapse
id: String

UUID

created_at: Time

Timestamp of when the webhook destination was created.

last_failure: Time

Timestamp of the last time an attempt to dispatch a notification to this webhook failed.

last_success: Time

Timestamp of the last time Cloudflare was able to successfully dispatch a notification using this webhook.

type: String

Type of webhook endpoint.

cloudflare_notification_policy_webhooks

resource "cloudflare_notification_policy_webhooks" "example_notification_policy_webhooks" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  name = "Slack Webhook"
  url = "https://hooks.slack.com/services/Ds3fdBFbV/456464Gdd"
  secret = "secret"
}

data cloudflare_notification_policy_webhooks

required Expand Collapse
webhook_id: String

The unique identifier of a webhook

account_id: String

The account id

computed Expand Collapse
id: String

The unique identifier of a webhook

created_at: Time

Timestamp of when the webhook destination was created.

last_failure: Time

Timestamp of the last time an attempt to dispatch a notification to this webhook failed.

last_success: Time

Timestamp of the last time Cloudflare was able to successfully dispatch a notification using this webhook.

name: String

The name of the webhook destination. This will be included in the request body when you receive a webhook notification.

secret: String

Optional secret that will be passed in the cf-webhook-auth header when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body.

type: String

Type of webhook endpoint.

url: String

The POST endpoint to call when dispatching a notification.

cloudflare_notification_policy_webhooks

data "cloudflare_notification_policy_webhooks" "example_notification_policy_webhooks" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
  webhook_id = "b115d5ec15c641ee8b7692c449b5227b"
}

data cloudflare_notification_policy_webhooks_list

required Expand Collapse
account_id: String

The account id

optional Expand Collapse
max_items?: Int64

Max items to fetch, default: 1000

computed Expand Collapse
result: List[Attributes]

The items returned by the data source

id: String

The unique identifier of a webhook

created_at: Time

Timestamp of when the webhook destination was created.

last_failure: Time

Timestamp of the last time an attempt to dispatch a notification to this webhook failed.

last_success: Time

Timestamp of the last time Cloudflare was able to successfully dispatch a notification using this webhook.

name: String

The name of the webhook destination. This will be included in the request body when you receive a webhook notification.

secret: String

Optional secret that will be passed in the cf-webhook-auth header when dispatching generic webhook notifications or formatted for supported destinations. Secrets are not returned in any API response body.

type: String

Type of webhook endpoint.

url: String

The POST endpoint to call when dispatching a notification.

cloudflare_notification_policy_webhooks_list

data "cloudflare_notification_policy_webhooks_list" "example_notification_policy_webhooks_list" {
  account_id = "023e105f4ecef8ad9ca31a8372d0c353"
}